VERSION 5.00
Begin VB.Form CANUSB 
   Caption         =   "CANUSB Test"
   ClientHeight    =   3555
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7410
   LinkTopic       =   "Form1"
   ScaleHeight     =   3555
   ScaleWidth      =   7410
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CmdGetStatus 
      Caption         =   "Get Status"
      Height          =   495
      Left            =   120
      TabIndex        =   8
      Top             =   1320
      Width           =   1575
   End
   Begin VB.CommandButton CmdGetVersion 
      Caption         =   "Get Version"
      Height          =   495
      Left            =   120
      TabIndex        =   7
      Top             =   720
      Width           =   1575
   End
   Begin VB.CommandButton cmdSendMessage 
      Caption         =   "Send Message"
      Height          =   495
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   1575
   End
   Begin VB.Timer Timer1 
      Interval        =   10
      Left            =   6900
      Top             =   3060
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   495
      Left            =   6120
      TabIndex        =   1
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton cmdOpen 
      Caption         =   "Open"
      Height          =   495
      Left            =   6120
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label LabelReceivedMsg200 
      Caption         =   "0"
      Height          =   255
      Left            =   2400
      TabIndex        =   14
      Top             =   3180
      Width           =   1215
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Rec. message count (0x200) :"
      ForeColor       =   &H00008000&
      Height          =   255
      Index           =   3
      Left            =   120
      TabIndex        =   13
      Top             =   3180
      Width           =   2175
   End
   Begin VB.Label LabelReceivedMsg100 
      Caption         =   "0"
      Height          =   255
      Left            =   2400
      TabIndex        =   12
      Top             =   2820
      Width           =   1215
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Rec. message count (0x100) :"
      ForeColor       =   &H00008000&
      Height          =   255
      Index           =   2
      Left            =   120
      TabIndex        =   11
      Top             =   2820
      Width           =   2175
   End
   Begin VB.Label lblStatus 
      Caption         =   "---"
      Height          =   255
      Left            =   1800
      TabIndex        =   10
      Top             =   1440
      Width           =   3975
   End
   Begin VB.Label lblVersion 
      Caption         =   "---"
      Height          =   255
      Left            =   1800
      TabIndex        =   9
      Top             =   840
      Width           =   3975
   End
   Begin VB.Label LblTransmitCnt 
      Caption         =   "0"
      Height          =   255
      Left            =   2400
      TabIndex        =   6
      Top             =   2100
      Width           =   1215
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Transmitted message count :"
      ForeColor       =   &H00008000&
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   5
      Top             =   2100
      Width           =   2175
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Received message count :"
      ForeColor       =   &H00008000&
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   4
      Top             =   2460
      Width           =   2175
   End
   Begin VB.Label LabelReceivedMsg 
      Caption         =   "0"
      Height          =   255
      Left            =   2400
      TabIndex        =   3
      Top             =   2460
      Width           =   1215
   End
End
Attribute VB_Name = "CANUSB"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'
' File:       canusb.frm
'
' Purpose:    Test Program for the CANUSB in VB6 with D2XX/CANUSB DLL drivers
'
' Version:    1.0.1, 28:th of January 2006
'
' Author:     Lars Wictorsson
'             LAWICEL AB / SWEDEN
'             http://www.can232.com
'             http://www.canusb.com
'             http://www.lawicel.se
'
' Copyright:  The copyright to the computer program(s) herein is the
'             property of LAWICEL AB, Sweden. The program(s) may be used
'             and/or copied only with the written permission of LAWICEL AB
'             in accordance with the terms and conditions stipulated in
'             the agreement/contract under which the program(s) have been
'             supplied.
'
' Commets:    Needs at least CANUSB driver DLL 0.0.14
'
' History:    2005-06-18  1.0.0   Created (LWI)
'             2006-01-28  1.0.1   Created (LWI)
'

Dim handle As Long
Dim bOpen As Boolean
Dim iDummy As Integer
Dim iDummy100 As Integer
Dim iDummy200 As Integer


Private Sub Command1_Click()

End Sub

Private Sub cmdClose_Click()
    Dim status As Integer
    status = canusb_Flush(handle, FLUSH_WAIT)
    canusb_Close (handle)
    bOpen = False
End Sub

Private Sub CmdGetStatus_Click()
    Dim status As Byte
    
    If bOpen Then
        status = canusb_Status(handle)
        lblStatus = "Status = " + CStr(status)
    End If
End Sub

Private Sub CmdGetVersion_Click()
    Dim version As String * 255
    
    If bOpen Then
        retval = canusb_VersionInfo(handle, version)
        If retval = ERROR_CANUSB_OK Then
            lblVersion = version
        End If
    End If
End Sub

Private Sub cmdOpen_Click()
    ' This variant opens first found Lawicel canusb adapter
    handle = canusb_Open(vbNullString, "500", CANUSB_ACCEPTANCE_CODE_ALL, CANUSB_ACCEPTANCE_MASK_ALL, CANUSB_FLAG_TIMESTAMP)
    ' This variant opens Lawicel canusb adapter with give serial number
    'handle = canusb_Open("LWNQ06ES", "500", CANUSB_ACCEPTANCE_CODE_ALL, CANUSB_ACCEPTANCE_MASK_ALL, CANUSB_FLAG_TIMESTAMP)
    If (handle <> 0) Then
        bOpen = True
        CmdGetVersion_Click
        CmdGetStatus_Click
    End If
End Sub

Private Sub cmdSendMessage_Click()
    Dim msg As canmsg
    If (bOpen) Then
        msg.id = &H123
        msg.flags = CANMSG_EXTENDED
        msg.len = &H3
        msg.data(0) = 1
        msg.data(1) = 2
        msg.data(2) = 3
        retval = canusb_Write(handle, msg)
        If (retval = ERROR_CANUSB_OK) Then
            LblTransmitCnt.Caption = Format((CInt(LblTransmitCnt) + 1), "00000")
        End If
    End If
End Sub

Private Sub Form_Load()
    bOpen = False ' not open
    iDummy = 0
    iDummy100 = 0
    iDummy200 = 0
End Sub

Private Sub Form_Unload(Cancel As Integer)
     If bOpen Then
        canusb_Close (handle)
     End If
End Sub

Private Sub Timer1_Timer()
     Dim retval As Integer
     Dim msg As canmsg
     
    If (bOpen) Then
        retval = canusb_ReadFirst(handle, &H100, 0, msg)
        While (retval = ERROR_CANUSB_OK)
            iDummy100 = iDummy100 + 1
            If (iDummy100 > 9999) Then
                iDummy100 = 0
            End If
            LabelReceivedMsg100.Caption = Format(iDummy100, "00000")
            retval = canusb_ReadFirst(handle, &H100, 0, msg)
        Wend
        retval = canusb_ReadFirst(handle, &H200, 0, msg)
        While (retval = ERROR_CANUSB_OK)
            iDummy200 = iDummy200 + 1
            If (iDummy200 > 9999) Then
                iDummy200 = 0
            End If
            LabelReceivedMsg200.Caption = Format(iDummy200, "00000")
            retval = canusb_ReadFirst(handle, &H200, 0, msg)
        Wend
        retval = canusb_Read(handle, msg)
        While (retval = ERROR_CANUSB_OK)
            iDummy = iDummy + 1
            If (iDummy > 9999) Then
                iDummy = 0
            End If
            LabelReceivedMsg.Caption = Format(iDummy, "00000")
            retval = canusb_Read(handle, msg)
        Wend
    End If
End Sub
